<?php

if (file_exists("data/fonts/body-size.txt")) {
	$maj_font_Dpx = file_get_contents("data/fonts/body-size.txt") . "px";
}
else {
	$maj_font_Dpx = "11px";
}

if (file_exists("data/fonts/input-size.txt")) {
	$maj_font_Ipx = file_get_contents("data/fonts/input-size.txt") . "px";
}
else {
	$maj_font_Ipx = "11px";
}

if (file_exists("data/fonts/panel-title-size.txt")) {
	$maj_font_Lpx = file_get_contents("data/fonts/panel-title-size.txt") . "px";
}
else {
	$maj_font_Lpx = "12px";
}

if (file_exists("data/fonts/panel-body-size.txt")) {
	$maj_font_Mpx = file_get_contents("data/fonts/panel-body-size.txt") . "px";
}
else {
	$maj_font_Mpx = "11px";
}

if (file_exists("data/fonts/panel-footer-size.txt")) {
	$maj_font_Spx = file_get_contents("data/fonts/panel-footer-size.txt") . "px";
}
else {
	$maj_font_Spx = "10px";
}

if (file_exists("data/round.txt")) {
	$maj_border_radius = file_get_contents("data/round.txt") . "px";
}
else {
	$maj_border_radius = "5px";
}

?>

<style>

* {
	font-size: <?php echo $maj_font_Mpx; ?>;
}

body {
	padding: 0px;
	margin: 0px 0px 10px 10px;
	color: #666666;
	background-color: #ffffff;
	text-align: left;
	font-family: arial,helvetica,sans-serif;
	<?php

	echo "font-size: $maj_font_Dpx;";

	if (file_exists("data/colors/font.txt")) {
		$maj_font_color = file_get_contents("data/colors/font.txt");
		echo "\n\tcolor: $maj_font_color;";
	}

	if (file_exists("data/fonts/body.txt")) {
		$maj_font_body = file_get_contents("data/fonts/body.txt");
		echo "\n\tfont-family: $maj_font_body,arial,helvetica,sans-serif;";
	}
	
	if (file_exists("data/colors/bg.txt")) {
		$maj_background_color = file_get_contents("data/colors/bg.txt");
		if ($maj_background_color == "transparent") {
			echo "\n\tbackground-color: #ffffff;";
		}
		else {
		echo "\n\tbackground-color: $maj_background_color;";
		}
	}

	if (file_exists("images/background.gif") or file_exists("images/background.jpg") or file_exists("images/background.png")) {

		if (file_exists("images/background.gif") and !file_exists("images/background.jpg") and !file_exists("images/background.png")) {
			echo "\n\tbackground-image: url(\"images/background.gif\");";
		}
		
		if (!file_exists("images/background.gif") and file_exists("images/background.jpg") and !file_exists("images/background.png")) {
			echo "\n\tbackground-image: url(\"images/background.jpg\");";
		}
		
		if (!file_exists("images/background.gif") and !file_exists("images/background.jpg") and file_exists("images/background.png")) {
			echo "\n\tbackground-image: url(\"images/background.png\");";
		}
		
		echo "\n\tbackground-attachment: ";
		
		if (file_exists("data/bg-scroll.txt")) {
			echo "scroll";
		}
		else {
			echo "fixed";
		}
		
		echo ";";
		
		echo "\n\tbackground-repeat: ";
		
		if (file_exists("data/bg-repeat.txt")) {
			readfile("data/bg-repeat.txt");
		}
		else {
			echo "repeat";
		}
		
		echo ";";
		
		echo "\n\tbackground-position: ";
		
		if (file_exists("data/bg-position.txt")) {
			readfile("data/bg-position.txt");
		}
		else {
			echo "top left";
		}

		echo ";";
	}

	echo "\n";
	
	?>
}

p,td {
	font-size: <?php echo $maj_font_Mpx; ?>;
}

a {
	font-weight: bold;
	text-decoration: none;
}

a:link {
	color: #666666;
	<?php

	echo "font-size: $maj_font_Mpx;\n";

	if (file_exists("data/colors/link.txt")) {
		$maj_a_link_color = file_get_contents("data/colors/link.txt");
		echo "\tcolor: $maj_a_link_color;\n";
	}

	?>
}

a:visited {
	color: #666666;
	<?php
	
	echo "font-size: $maj_font_Mpx;\n";

	if (file_exists("data/colors/vlink.txt")) {
		$maj_a_visited_color = file_get_contents("data/colors/vlink.txt");
		echo "\tcolor: $maj_a_visited_color;\n";
	}

	?>
}

a:hover {
	color: #336699;
	<?php

	echo "font-size: $maj_font_Mpx;\n";
	
	if (file_exists("data/colors/hover.txt")) {
		$maj_a_hover_color = file_get_contents("data/colors/hover.txt");
		echo "\tcolor: $maj_a_hover_color;\n";
	}

	?>
}

a:active {
	color: #336699;
	<?php

	echo "font-size: $maj_font_Mpx;\n";
	
	if (file_exists("data/colors/hover.txt")) {
		$maj_a_active_color = file_get_contents("data/colors/hover.txt");
		echo "\tcolor: $maj_a_active_color;\n";
	}

	?>
}

a.navlink:link,a.navlink:visited,a.navlink:active,a.navlink:hover {
	font-weight: normal;
	text-decoration: none;
}

.panel_title {
	padding: 5px;
	margin: 0px;
	color: #666666;
	background-color: transparent;
	border-color: #cccccc;
	border-width: 1px 1px 0px 1px;
	border-style: solid solid none solid;
	font-family: arial,helvetica,sans-serif;
	font-weight: bold;
	<?php

	echo "font-size: $maj_font_Lpx;";

	if (file_exists("data/round.txt")) {
		echo "\n\t-webkit-border-top-right-radius: $maj_border_radius;";
		echo "\n\t-webkit-border-top-left-radius: $maj_border_radius;";
		echo "\n\t-khtml-border-radius-topright: $maj_border_radius;";
		echo "\n\t-khtml-border-radius-topleft: $maj_border_radius;";
		echo "\n\t-moz-border-radius-topright: $maj_border_radius;";
		echo "\n\t-moz-border-radius-topleft: $maj_border_radius;";
		echo "\n\tborder-top-right-radius: $maj_border_radius;";
		echo "\n\tborder-top-left-radius: $maj_border_radius;";
	}
	
	if (file_exists("data/colors/pt-font.txt")) {
		$maj_panel_title_font_color = file_get_contents("data/colors/pt-font.txt");
		echo "\n\tcolor: $maj_panel_title_font_color;";
	}

	if (file_exists("data/colors/pt-bg.txt")) {
		$maj_panel_title_background_color = file_get_contents("data/colors/pt-bg.txt");
		echo "\n\tbackground-color: $maj_panel_title_background_color;";
	}

	if (file_exists("data/colors/border.txt")) {
		$maj_panel_title_border_color = file_get_contents("data/colors/border.txt");
		echo "\n\tborder-color: $maj_panel_title_border_color;";
	}

	if (file_exists("data/fonts/panel-title.txt")) {
		$maj_font_panel_title = file_get_contents("data/fonts/panel-title.txt");
		echo "\n\tfont-family: $maj_font_panel_title,arial,helvetica,sans-serif;";
	}

	echo "\n";
	
	?>
}

.panel_body {
	padding: 5px;
	margin: 0px 0px 10px 0px;
	color: #666666;
	background-color: transparent;
	border-color: #cccccc;
	border-width: 1px;
	border-style: solid;
	font-family: arial,helvetica,sans-serif;				
	<?php
	
	echo "font-size: $maj_font_Mpx;";
	
	if (file_exists("data/round.txt")) {
		echo "\n\t-webkit-border-bottom-right-radius: $maj_border_radius;";
		echo "\n\t-webkit-border-bottom-left-radius: $maj_border_radius;";
		echo "\n\t-khtml-border-radius-bottomright: $maj_border_radius;";
		echo "\n\t-khtml-border-radius-bottomleft: $maj_border_radius;";
		echo "\n\t-moz-border-radius-bottomright: $maj_border_radius;";
		echo "\n\t-moz-border-radius-bottomleft: $maj_border_radius;";
		echo "\n\tborder-bottom-right-radius: $maj_border_radius;";
		echo "\n\tborder-bottom-left-radius: $maj_border_radius;";
	}
	
	if (file_exists("data/colors/pb-font.txt")) {
		$maj_panel_body_font_color = file_get_contents("data/colors/pb-font.txt");
		echo "\n\tcolor: $maj_panel_body_font_color;";
	}

	if (file_exists("data/colors/pb-bg.txt")) {
		$maj_panel_body_background_color = file_get_contents("data/colors/pb-bg.txt");
		echo "\n\tbackground-color: $maj_panel_body_background_color;";
	}

	if (file_exists("data/colors/border.txt")) {
		$maj_panel_body_border_color = file_get_contents("data/colors/border.txt");
		echo "\n\tborder-color: $maj_panel_body_border_color;";
	}

	if (file_exists("data/fonts/panel-body.txt")) {
		$maj_font_panel_body = file_get_contents("data/fonts/panel-body.txt");
		echo "\n\tfont-family: $maj_font_panel_body,arial,helvetica,sans-serif;";
	}

	echo "\n";
	
	?>
}

.panel_footer {
	padding: 5px;
	margin: 0px 0px 10px 0px;
	color: #999999;
	background-color: transparent;
	border-color: #cccccc;
	border-width: 0px 1px 1px 1px;
	border-style: none solid solid solid;
	text-align: right;
	font-family: arial,helvetica,sans-serif;
	<?php
	
	echo "font-size: $maj_font_Spx;";
	
	if (file_exists("data/round.txt")) {
		echo "\n\t-webkit-border-bottom-right-radius: $maj_border_radius;";
		echo "\n\t-webkit-border-bottom-left-radius: $maj_border_radius;";
		echo "\n\t-khtml-border-radius-bottomright: $maj_border_radius;";
		echo "\n\t-khtml-border-radius-bottomleft: $maj_border_radius;";
		echo "\n\t-moz-border-radius-bottomright: $maj_border_radius;";
		echo "\n\t-moz-border-radius-bottomleft: $maj_border_radius;";
		echo "\n\tborder-bottom-right-radius: $maj_border_radius;";
		echo "\n\tborder-bottom-left-radius: $maj_border_radius;";
	}
	
	if (file_exists("data/colors/pf-font.txt")) {
		$maj_panel_footer_font_color = file_get_contents("data/colors/pf-font.txt");
		echo "\n\tcolor: $maj_panel_footer_font_color;";
	}

	if (file_exists("data/colors/pf-bg.txt")) {
		$maj_panel_footer_background_color = file_get_contents("data/colors/pf-bg.txt");
		echo "\n\tbackground-color: $maj_panel_footer_background_color;";
	}

	if (file_exists("data/colors/border.txt")) {
		$maj_panel_footer_border_color = file_get_contents("data/colors/border.txt");
		echo "\n\tborder-color: $maj_panel_footer_border_color;";
	}

	if (file_exists("data/fonts/panel-footer.txt")) {
		$maj_font_panel_footer = file_get_contents("data/fonts/panel-footer.txt");
		echo "\n\tfont-family: $maj_font_panel_footer,arial,helvetica,sans-serif;";
	}

	echo "\n";

	?>
}

.input { 	
	width: 300px; 
	color: #666666; 
	background: #ffffff;
	border: #999999 solid 1px;
	font-family: arial,helvetica,sans-serif;
	<?php
	
	echo "font-size: $maj_font_Ipx;";

	if (file_exists("data/colors/border.txt")) {
		$maj_input_color = file_get_contents("data/colors/border.txt");
		echo "\n\tcolor: $maj_input_color;";
	}

	if (file_exists("data/colors/border.txt")) {
		$maj_panel_footer_border_color = file_get_contents("data/colors/border.txt");
		echo "\n\tborder-color: $maj_panel_footer_border_color;";
	}

	if (file_exists("data/fonts/input.txt")) {
		$maj_font_input = file_get_contents("data/fonts/input.txt");
		echo "\n\tfont-family: $maj_font_input,arial,helvetica,sans-serif;";
	}
	
	echo "\n";
	
	?>
}

.search { 	
	width: 100%;
	color: #666666; 
	background: #ffffff; 
	font-family: arial,helvetica,sans-serif;
	<?php
	
	echo "font-size: $maj_font_Mpx;";
	
	if (file_exists("data/fonts/input.txt")) {
		$maj_font_input = file_get_contents("data/fonts/input.txt");
		echo "\n\tfont-family: $maj_font_input,arial,helvetica,sans-serif;";
	}
	
	echo "\n";
	
	?>					
}

.panel_free {
	padding: 0px;
	margin: 0px;
}

.panel_entry_body {
	padding: 5px;
	margin: 0px;
	color: #666666;
	background-color: transparent;
	border-color: #cccccc;
	border-width: 1px;
	border-style: solid;
	font-family: arial,helvetica,sans-serif;
	<?php

	echo "font-size: $maj_font_Mpx;";

	if (file_exists("data/colors/pb-font.txt")) {
		$maj_panel_body_font_color = file_get_contents("data/colors/pb-font.txt");
		echo "\n\tcolor: $maj_panel_body_font_color;";
	}

	if (file_exists("data/colors/pb-bg.txt")) {
		$maj_panel_body_background_color = file_get_contents("data/colors/pb-bg.txt");
		echo "\n\tbackground-color: $maj_panel_body_background_color;";
	}

	if (file_exists("data/colors/border.txt")) {
		$maj_panel_body_border_color = file_get_contents("data/colors/border.txt");
		echo "\n\tborder-color: $maj_panel_body_border_color;";
	}

	if (file_exists("data/fonts/panel-body.txt")) {
		$maj_font_panel_body = file_get_contents("data/fonts/panel-body.txt");
		echo "\n\tfont-family: $maj_font_panel_body,arial,helvetica,sans-serif;";
	}

	echo "\n";
	
	?>
}

.panel_category {
	padding: 5px;
	margin: 0px;
	color: #999999;
	background-color: transparent;
	border-color: #cccccc;
	border-width: 0px 1px 1px 1px;
	border-style: none solid solid solid;
	text-align: left;
	font-family: arial,helvetica,sans-serif;
	<?php

	echo "font-size: $maj_font_Spx;";

	if (file_exists("data/colors/pf-font.txt")) {
		$maj_panel_category_font_color = file_get_contents("data/colors/pf-font.txt");
		echo "\n\tcolor: $maj_panel_category_font_color;";
	}

	if (file_exists("data/colors/pf-bg.txt")) {
		$maj_panel_category_background_color = file_get_contents("data/colors/pf-bg.txt");
		echo "\n\tbackground-color: $maj_panel_category_background_color;";
	}

	if (file_exists("data/colors/border.txt")) {
		$maj_panel_category_border_color = file_get_contents("data/colors/border.txt");
		echo "\n\tborder-color: $maj_panel_category_border_color;";
	}

	if (file_exists("data/fonts/panel-footer.txt")) {
		$maj_font_panel_category = file_get_contents("data/fonts/panel-footer.txt");
		echo "\n\tfont-family: $maj_font_panel_category,arial,helvetica,sans-serif;";
	}
	
	echo "\n";
	
	?>
}

<?php if (file_exists("data/css.txt")) { readfile("data/css.txt"); } ?>

</style>
